Layout Bug when upgrade to newer version (noticed as from 8.14): all columns are set to -1

0
As from 8.14  we noticed that in the modeler column widths are set to -1, causing a whole list of errors. When updating from 8.14 to 8.17 the same happend. When dealing with multi-column rows this can cause a serious problem, since the the columns and their content are not accessible anymore in the modeler UI, rendering it unable to be fixed unless reworked Any update on this bug? see image below  
asked
7 answers
2

Hi Koen! This is most likely linked to an issue with the UI_Resoures (theme) in this project. When layout grid columns have a width of -1, it means that it's trying to use flex layouts, which is a feature that we introduced in Atlas version 2.4. However, the rendering of the layout grid and error messages suggest that the project is either using an old Atlas or a custom theme. It could be that replacing these layout grids with the ones from the toolbox would solve it, but we would like to investigate how these layout grids ended up in your project and if it's a persistent issue.

Could you contact support so we can investigate further?

answered
0

Thanks Takuma, I will contact support. FYI we are using Atlas 2.6 in this project. It’s not only existing layout that is affected. For instance, when dragging a new building block in the canvas it also give me the -1 or -2…

Am I the only one who is experiencing this after an upgrade?

answered
0

I haven't heard from others experiencing this yet. For some reason Studio Pro seems to think your project is not using a current Atlas version. This version number can be located in

{your project dir}\theme\styles\web\sass\core\manifest.json

Note: if you're using native, it's in {your project dir}\theme\styles\native\core\manifest.json

Could you verify that it states the name "Atlas-UI-Framework" with a version >= "2.4.0"?

answered
0

tsk, you are right! 

how weird. I can adjust this in the json, but I also need to know why this has happend. It is happening in other apps of ours too… do you have any idea?

answered
0

Could it be that Mendix forgot to update  the Atlas_UI_Resources_Version constant in the Atlas_UI_Resources module? Because I just checked our own model with the current latest release 2.6.7. But in the manifest I see still 2.6.0 which is the same as the constant in the module. I find this strange. I had expected that this constant had been updated.

Regards,

Ronald

 

answered
0

It's difficult to figure out how these files did not get updated, but we have verified that both 2.6.0 and 2.6.7 contain the correct manifest version.

@Koen, could you update Atlas to 2.6.7 and see whether it fixes the problem and sets the correct manifest version?

answered
0

@takuma, updating the atlas version manually in the json did solve the problem.

The manifest.json however is not updated when updating the Atlas version using the modeler

answered